/**
 *
 * Copyright 2013 Stefan Brenner, Sven Schober
 *
 * This file is part of DAE.
 *
 * DAE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DAE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DAE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package sequoia;

import java.util.ArrayList;
import java.util.List;

public class Pair<T> {

	List<T> pair = new ArrayList<T>();
	
	public Pair() {
	}
	
	public Pair(T left, T right) {
		setLeft(left);
		setRight(right);
	}
	
	public void setLeft(T left) {
		pair.add(0, left);
	}

	public void setRight(T right) {
		pair.add(1, right);
	}
	
	public T getLeft() {
		return pair.get(0);
	}
	
	public T getRight() {
		return pair.get(1);
	}
	
}
