/**
 *
 * Copyright 2013 Stefan Brenner, Sven Schober
 *
 * This file is part of DAE.
 *
 * DAE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DAE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DAE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package sequoia.topology;

import java.util.List;

import sequoia.CDF;

/**
 * Interface for topologies
 * 
 * @author stefan
 *
 */
public interface ITopology {
	// get list of all hosts of the topology 
	public List<String> getAllHosts();
	
	// get topology name
	public String getTopologyName();
	
	// get treeness of topology
	public CDF getTreeness();
	
	// get symmetry of topology
	public CDF getSymmetry();
	
	// shuffle list of hosts of topology
	public void shuffle();
	
	// measurement count
	public int getMeasCount();
	
	// get measurement, with "count" trigger
	public int getBandwidth(String a, String b, boolean countMeasuremnet);
	
	// get measurement, without "count" trigger (implizit "true")
	public int getBandwidth(String a, String b);
}
